Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classparser
Interface OWLClassParser

All Known Implementing Classes:
  CompactOWLClassParser, DLSyntaxClassParser, ManchesterOWLClassParser

    public interface OWLClassParser

An interface for objects that can be used to parse a class expression.

Author:
  Holger Knublauch

Method Summary
`void` | `checkClass(OWLModel owlModel, String expression)` Performs a test of a given expression and throws an Exception if the expression is currently invalid.
`void` | `checkHasValueFiller(OWLModel owlModel, String expression)`
`void` | `checkQuantifierFiller(OWLModel owlModel, String expression)`
`RDFSClass` | `parseClass(OWLModel owlModel, String expression)`
`Object` | `parseHasValueFiller(OWLModel owlModel, String expression)`
`RDFResource` | `parseQuantifierFiller(OWLModel owlModel, String expression)`

Method Detail

### checkClass

    void checkClass(OWLModel owlModel,
                    String expression)
                    throws OWLClassParseException

  Performs a test of a given expression and throws an Exception if the expression is currently invalid.

  Parameters:
    `owlModel` - the OWLModel to operate on
    `expression` - the expression
  Throws:
    `OWLClassParseException` - if expression cannot be parsed

### checkHasValueFiller

    void checkHasValueFiller(OWLModel owlModel,
                             String expression)
                             throws OWLClassParseException

  Throws:
    `OWLClassParseException`

### checkQuantifierFiller

    void checkQuantifierFiller(OWLModel owlModel,
                               String expression)
                               throws OWLClassParseException

  Throws:
    `OWLClassParseException`

### parseClass

    RDFSClass parseClass(OWLModel owlModel,
                         String expression)
                         throws OWLClassParseException

  Throws:
    `OWLClassParseException`

### parseHasValueFiller

    Object parseHasValueFiller(OWLModel owlModel,
                               String expression)
                               throws OWLClassParseException

  Throws:
    `OWLClassParseException`

### parseQuantifierFiller

    RDFResource parseQuantifierFiller(OWLModel owlModel,
                                      String expression)
                                      throws OWLClassParseException

  Throws:
    `OWLClassParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.